
import os
import sys
import datetime
import random

def shuffle_list(input_list):
    if not input_list:
        return []
    random.seed(datetime.datetime.now())
    shuffled_list = input_list[:]
    n = len(shuffled_list)
    for i in range(n):
        j = random.randint(i, n - 1)
        shuffled_list[i], shuffled_list[j] = shuffled_list[j], shuffled_list[i]
    return shuffled_list

